#!/bin/sh
#
# init_column.sh -- Perturb the potential temperature and mixing ratio
# as in Raymond and Sessions (2007), producing a reference profile for
# another run.  Also, set the wind profile appropriately.  This is a
# filter.
#
if test $# != 3
then
    echo toycol_perturb.sh dtheta drt vy
else
    dtheta=$1
    drt=$2
    vy=$3

    hupper=10
    hlower=3
    
    cdfmath "vx 0 * vx = vy 0 * $vy + vy =" | \
	cdfmath "z $hlower / zscale =" | \
	cdfmath "1 zscale - 2 * exp zscale * zscale * lpert =" | \
	cdfmath "z $hupper / zscale =" | \
	cdfmath "1 zscale - 2 * exp zscale * zscale * upert =" | \
	cdfmath "th upert $dtheta * + lpert $dtheta * - th =" | \
	cdfmath "rt lpert $drt * + rt ="
fi
