#!/bin/sh
#
# ngms_column.sh -- Calculate an approximation to the normalized gross
# moist stability.  This is for the toy cumulus parameterization
# used in WTG mode in the program "column".  The quantities with
# zeros at the end are the steady state values; the others are
# instantaneous values.
#
ll=2.83e6
cp=1005
cdfmath "rho srad * rhosrad =" | \
    cdfmath 'sthe rho * rhosthe =' | \
    cdfmath 'srt rho * rhosrt =' | \
    cdfdefint z | \
    cdfmath "rhosthe $cp * numerator =" | \
    cdfmath "rhosrt -1 * $ll * denominator =" | \
    cdfmath 'numerator denominator / ngms =' | \
    cdfmath "theflux rhosrad + $cp * numerator0 =" | \
    cdfmath "rainflux rtflux - $ll * denominator0 =" | \
    cdfmath 'numerator0 denominator0 / ngms0 ='
